Bug 1293579 (CVE-2015-8614) - CVE-2015-8614 claws-mail: Stack overflow in conv_{jistoeuc,euctojis,sjistoeuc}
Summary: CVE-2015-8614 claws-mail: Stack overflow in conv_{jistoeuc,euctojis,sjistoeuc}
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2015-8614
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1293581 1293580
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-12-22 09:23 UTC by Adam Mariš
Modified: 2019-09-29 13:40 UTC (History)
4 users (show)

Fixed In Version: claws-mail 3.13.1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 02:46:42 UTC


Attachments (Terms of Use)

Description Adam Mariš 2015-12-22 09:23:29 UTC
Stack-based buffer overflow vulnerabilities were found in conv_jistoeuc, conv_euctojis, conv_sjistoeuc functions, caused by missing bound checking on the output buffer, which is created on the stack with alloca().

Upstream patch:

http://git.claws-mail.org/?p=claws.git;a=commit;h=d390fa07f5548f3173dd9cc13b233db5ce934c82

CVE assignment:

http://seclists.org/oss-sec/2015/q4/557

Comment 1 Adam Mariš 2015-12-22 09:24:11 UTC
Created claws-mail tracking bugs for this issue:

Affects: fedora-all [bug 1293580]
Affects: epel-all [bug 1293581]

Comment 2 Michael Schwendt 2015-12-22 11:10:28 UTC
> Upstream patch:

Dubious. The change to conv_jistoeuc() disables the loop, because (out-outbuf) will be zero and hence the while-condition will never be true.

Apart from that, the patch is part of 3.13.1 which is pending on its way into updates-testing already.

Comment 5 Fedora Update System 2015-12-31 00:56:23 UTC
claws-mail-3.13.1-4.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2016-01-03 21:19:12 UTC
claws-mail-3.13.1-4.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Product Security DevOps Team 2019-06-08 02:46:42 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.